JsonCpp project page | Classes | Namespace | JsonCpp home page

Public Member Functions | List of all members
Json::ValueConstMembersView Class Reference

Range-based for loop adapter for object members. More...

`#include <json/value.h>`

Collaboration diagram for Json::ValueConstMembersView:

## Public Member Functions
| ValueConstMembersView (ValueConstIterator begin, ValueConstIterator end)
ValueConstMembersIterator | begin () const
ValueConstMembersIterator | end () const

## Detailed Description

Range-based for loop adapter for object members.

Definition at line 1150 of file value.h.

## Constructor & Destructor Documentation

## ◆ ValueConstMembersView()

Json::ValueConstMembersView::ValueConstMembersView | ( | ValueConstIterator | begin,
|  | ValueConstIterator | end )
| inline

Definition at line 1152 of file value.h.

References begin(), and end().

## Member Function Documentation

## ◆ begin()

ValueConstMembersIterator Json::ValueConstMembersView::begin | ( |  | ) | const
| inline

Definition at line 1154 of file value.h.

Referenced by ValueConstMembersView().

Here is the caller graph for this function:

## ◆ end()

ValueConstMembersIterator Json::ValueConstMembersView::end | ( |  | ) | const
| inline

Definition at line 1157 of file value.h.

Referenced by ValueConstMembersView().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- include/json/value.h